Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Pin or unpin an agent chat

Pins or unpins an in-app agent chat for the authenticated user. Pin state is per-user and only affects the caller’s chat history.

PATCH/agent-chats/{chatId}/pin
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
chatIdstringrequired
Query parameters
fieldsToReturnstring
Comma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.
responseShapestring
Advanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:compactfull
Header parameters
LT-Response-Shapestring
Advanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:full
Request body
requiredapplication/json
pinnedbooleanrequired
Whether the chat should be pinned
Responses
200
pinnedAtobject | null
successbooleanrequired
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404Chat not found
Request
curl -X PATCH "https://leadtime.app/api/public/agent-chats/string/pin" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "pinned": true
}'
Response
{
  "pinnedAt": {},
  "success": true
}